I just jb my iphone4 using pwnagetool fromm mac, everything restored just fine. When go into Cydia try to install some apps needed. I got error something incompatible version or something... is there anyway I can fix that ?